View Issue Details

IDProjectCategoryView StatusLast Update
0036787LazarusIDEpublic2020-04-13 19:01
ReporterBBaz Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.6 
Summary0036787: The filter of the code explorer should expand the results up to the terminal nodes
DescriptionWhen using the filter located in the in the code explorer, the results are not directly clickable because their parents are still collapsted.
Steps To Reproduce1. create a new Form or application
2. double click in the form designer so that an event `FormCreate` is inserted automatically
3. in the filter of the code explorer type "Create"

You can see that the expansion stops on the "Types/TForm1(TForm)" node but the actual result is still not visible, which is confusing.
TagsNo tags attached.
Fixed in Revisionr62818
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0035767 closedJuha Manninen Code Explorer: Filter for directives does not work. 
related to 0036896 new Trunk IDE - Code Explorer filter does not work 

Activities

BBaz

2020-03-11 15:51

reporter  

actual.png (12,348 bytes)   
actual.png (12,348 bytes)   
expected.png (15,907 bytes)   
expected.png (15,907 bytes)   

Juha Manninen

2020-03-30 14:49

developer   ~0121765

Fixed, please test.
It is still not perfect. After using a filter all nodes remain expanded until you select another editor file. The code is rather complex and I didn't find how to change that. On the other hand having the nodes expanded is not a big problem. It can even be desired sometimes.

BBaz

2020-04-13 19:01

reporter   ~0122135

Thnaks, I'll test during next RC phase and eventually propose changes if it does not match.

Issue History

Date Modified Username Field Change
2020-03-11 15:51 BBaz New Issue
2020-03-11 15:51 BBaz File Added: actual.png
2020-03-11 15:51 BBaz File Added: expected.png
2020-03-19 00:42 Juha Manninen Relationship added related to 0035767
2020-03-30 10:32 Juha Manninen Assigned To => Juha Manninen
2020-03-30 10:32 Juha Manninen Status new => assigned
2020-03-30 14:49 Juha Manninen Status assigned => resolved
2020-03-30 14:49 Juha Manninen Resolution open => fixed
2020-03-30 14:49 Juha Manninen Fixed in Revision => r62818
2020-03-30 14:49 Juha Manninen LazTarget => -
2020-03-30 14:49 Juha Manninen Widgetset GTK 2 => GTK 2
2020-03-30 14:49 Juha Manninen Note Added: 0121765
2020-04-12 15:10 Juha Manninen Relationship added related to 0036896
2020-04-13 19:01 BBaz Note Added: 0122135